Bug 98784 - security/tor-devel doesn't take UIDs and GIDs below 1000
Summary: security/tor-devel doesn't take UIDs and GIDs below 1000
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-10 19:50 UTC by Fabian Keil
Modified: 2006-06-22 15:18 UTC (History)
0 users

See Also:


Attachments
tor-devel.diff.txt (1.75 KB, text/plain)
2006-06-18 12:57 UTC, Peter Thoenen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2006-06-10 19:50:08 UTC
security/tor-devel takes its UID and GID from the range above
999 which is usually used for non-daemon users.

It leads to inconveniences if you want to have the same
UID/GID on all system to make NFS sharing easier.

security/tor uses UID and GID 256
(http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/dads-uid-and-gids.html)
and tor-devel could savely use the same ones, the ports conflict anyway.

Fix: 

cp /usr/ports/security/tor/pkg-install /usr/ports/security/tor-devel/pkg-install
How-To-Repeat: Install tor-devel and run: id _tor.
Comment 1 Edwin Groothuis freebsd_committer 2006-06-10 19:52:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Peter Thoenen 2006-06-18 12:57:47 UTC
Might as well make this a maintainer update while I am at it.
Comment 3 Johan van Selst freebsd_committer 2006-06-22 15:17:23 UTC
State Changed
From-To: feedback->closed

Committed, thanks.